Package dev.plex.world

# Class CustomWorld

java.lang.Object
org.bukkit.WorldCreator
dev.plex.world.CustomWorld

public class CustomWorld extends org.bukkit.WorldCreator

## Field Summary

Fields
Modifier and Type
Field
Description
`private final CustomChunkGenerator`
`chunks`
`private static final Plex`
`plugin`

## Constructor Summary

Constructors
Constructor
Description
`CustomWorld(String name, CustomChunkGenerator generator)`

## Method Summary

Modifier and Type
Method
Description
`org.bukkit.World`
`generate()`
`static org.bukkit.World`
`generateConfigFlatWorld(String name)`
`org.bukkit.generator.ChunkGenerator`
`generator()`

### Methods inherited from class org.bukkit.WorldCreator

`biomeProvider, biomeProvider, biomeProvider, biomeProvider, copy, copy, createWorld, environment, environment, generateStructures, generateStructures, generator, generator, generator, generatorSettings, generatorSettings, getBiomeProviderForName, getGeneratorForName, hardcore, hardcore, keepSpawnLoaded, keepSpawnLoaded, key, name, name, ofKey, ofNameAndKey, seed, seed, type, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plugin

private static final Plex plugin

### chunks

private final CustomChunkGenerator chunks

## Constructor Details

### CustomWorld

public CustomWorld(String name, CustomChunkGenerator generator)

## Method Details

### generateConfigFlatWorld

public static org.bukkit.World generateConfigFlatWorld(String name)

### generator

public org.bukkit.generator.ChunkGenerator generator()

Overrides:
  `generator` in class `org.bukkit.WorldCreator`

### generate

public org.bukkit.World generate()